from django.core.validators import validate_image_file_extension
from django.db import models


# Create your models here.
# Ingredients
class Ingredient(models.Model):
    id = models.AutoField(primary_key=True)
    nom = models.CharField(max_length=50, verbose_name="Nom de l'ingrédient")

    def __str__(self):
        return self.nom


def __str__(self) -> str:
    return self.nom


# Pizza
class Pizza(models.Model):
    id = models.AutoField(primary_key=True)
    nom = models.CharField(max_length=50, verbose_name="Nom de la pizza")
    prix = models.FloatField(verbose_name="Prix de la pizza")
    image = models.ImageField(upload_to='images/', validators=[validate_image_file_extension])

    def __str__(self) -> str:
        return self.nom


# Composition
class Composition(models.Model):
    id = models.AutoField(primary_key=True)
    pizza = models.ForeignKey(Pizza, on_delete=models.CASCADE)
    ingredient = models.ForeignKey(Ingredient, on_delete=models.CASCADE)
    quantite = models.FloatField(verbose_name="Quantité de l'ingrédient")

    def __str__(self) -> str:
        return f"{self.pizza} - {self.ingredient} - {self.quantite}"
