from django.contrib import admin
from django.contrib.auth import views as auth_views
from django.urls import path
from connexion import views
from django.conf import settings  # new
from django.urls import path, include  # new
from django.conf.urls.static import static  # new

urlpatterns = [
    path('admin/', admin.site.urls),
    path('login/', auth_views.LoginView.as_view(template_name="login.html"), name="login"),
    path('logout/', auth_views.LogoutView.as_view(template_name="logout.html"), name="logout"),
    path('register/', views.register, name='register'),
    path('forgotten-password/', auth_views.PasswordResetView.as_view(
        template_name="password-reset.html",
        email_template_name="password-reset-email.html"
    ), name="password_reset"),
    path('reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(
        template_name="password-reset-confirm.html",
    ), name="password_reset_confirm"),
    path('reset/done', auth_views.PasswordResetDoneView.as_view(
        template_name="password-reset-done.html"
    ), name="password_reset_done"),
path('reset/done', auth_views.PasswordResetCompleteView.as_view(
        template_name="password-reset-complete.html"
    ), name="password_reset_complete")
]
